OpenMesh: OpenMesh::IO::_PLYWriter_ Class Reference

| OpenMesh

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
OpenMesh::IO::_PLYWriter_ Class Reference

Implementation of the PLY format writer. More...

`#include <OpenMesh/Core/IO/writer/PLYWriter.hh>`

Inheritance diagram for OpenMesh::IO::_PLYWriter_:
[legend]
Collaboration diagram for OpenMesh::IO::_PLYWriter_:
[legend]

## Public Types
enum | ValueType { Unsupported = 0 , ValueTypeFLOAT32 , ValueTypeFLOAT , ValueTypeINT32 , ValueTypeINT , ValueTypeUINT , ValueTypeUCHAR , ValueTypeCHAR , ValueTypeUINT8 , ValueTypeUSHORT , ValueTypeSHORT , ValueTypeDOUBLE }
Public Types inherited from OpenMesh::IO::BaseWriter
typedef unsigned int | Option

## Public Member Functions
virtual | ~_PLYWriter_ ()
| Destructor.
std::string | get_description () const override
| Return short description of the supported file format.
std::string | get_extensions () const override
| Return file format's extension.
bool | write (const std::string &, BaseExporter &, Options, std::streamsize _precision=6) const override
| Write to a file. More...
bool | write (std::ostream &, BaseExporter &, Options, std::streamsize _precision=6) const override
| Write to a std::ostream. More...
size_t | binary_size (BaseExporter &_be, Options _opt) const override
| Returns expected size of file if binary format is supported else 0.
Public Member Functions inherited from OpenMesh::IO::BaseWriter
virtual | ~BaseWriter ()
| Destructor.
virtual bool | can_u_write (const std::string &_filename) const
| Returns true if writer can write _filename (checks extension). More...

## Protected Member Functions
void | writeValue (ValueType _type, std::ostream &_out, signed char value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned char value) const
void | writeValue (ValueType _type, std::ostream &_out, short value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned short value) const
void | writeValue (ValueType _type, std::ostream &_out, int value) const
void | writeValue (ValueType _type, std::ostream &_out, unsigned int value) const
void | writeValue (ValueType _type, std::ostream &_out, float value) const
void | writeValue (ValueType _type, std::ostream &_out, double value) const
bool | write_ascii (std::ostream &_out, BaseExporter &, Options) const
bool | write_binary (std::ostream &_out, BaseExporter &, Options) const
void | write_header (std::ostream &_out, BaseExporter &_be, Options &_opt, std::vector< CustomProperty > &_ovProps, std::vector< CustomProperty > &_ofProps) const
| write header into the stream _out. Returns custom properties (vertex and face) which are written into the header
Protected Member Functions inherited from OpenMesh::IO::BaseWriter
bool | check (BaseExporter &_be, Options _opt) const

## Detailed Description

Implementation of the PLY format writer.

This class is singleton'ed by SingletonT to PLYWriter.

currently supported options:

- VertexColors
- FaceColors
- Binary
- Binary -> MSB

## Member Function Documentation

## ◆ write() [1/2]

bool OpenMesh::IO::_PLYWriter_::write | ( | const std::string & | _filename,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| overridevirtual

Write to a file.

Parameters

  _filename | write to file with the given filename
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

## ◆ write() [2/2]

bool OpenMesh::IO::_PLYWriter_::write | ( | std::ostream & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt,
|  | std::streamsize | _precision = `6`
| ) |  | const
| overridevirtual

Write to a std::ostream.

Parameters

  _os | write to std::ostream
  _be | BaseExporter, which specifies the data source
  _opt | writing options
  _precision | can be used to specify the precision of the floating point notation.

Implements OpenMesh::IO::BaseWriter.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/writer/PLYWriter.hh
- OpenMesh/Core/IO/writer/PLYWriter.cc